complexType "MultiDimensionalPricingData"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 14 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (measureType?, quoteUnits?, side?, currency?, currencyType?, timing?, (businessCenter | exchangeId)?, informationSource*, time?, valuationDate?, expiryTime?, cashflowType?)?, point+
</...>

Content Model Elements (14):

  businessCenter (defined in QuoteLocation.model group),
  cashflowType (defined in QuotationCharacteristics.model group),
  currency (defined in QuotationCharacteristics.model group),
  currencyType,
  exchangeId (defined in QuoteLocation.model group),
  expiryTime (defined in QuotationCharacteristics.model group),
  informationSource (defined in QuotationCharacteristics.model group),
  measureType,
  point (in dataPoints),
  quoteUnits,
  side (defined in QuotationCharacteristics.model group),
  time (defined in QuotationCharacteristics.model group),
  timing,
  valuationDate (defined in QuotationCharacteristics.model group)

All Direct / Indirect Based Elements (1):

  dataPoints

Known Usage Locations

- As direct type of elements (1):
  dataPoints

Annotation
A pricing data set that contains a series of points with coordinates. It is a sparse matrix representation of a multi-dimensional matrix.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="MultiDimensionalPricingData"> <xsd:sequence> <xsd:group minOccurs="0" ref="QuotationCharacteristics.model"/> <xsd:element maxOccurs="unbounded" name="point" type="PricingStructurePoint"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/14)
point

  Type: | PricingStructurePoint, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="point" type="PricingStructurePoint"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.